function G_possible = list_possible_edge(num_node)
num_edge = num_node*(num_node-1)/2;
G_possible = zeros(num_edge,2);

num_edge_idx = 1;
for i=1:num_node
%     for j=i+1:num_node
        G_possible(num_edge_idx:num_edge_idx + num_node-i -1,1) = i;
        G_possible(num_edge_idx:num_edge_idx + num_node-i -1,2) = i+1:num_node;
%     end
    num_edge_idx = num_edge_idx + num_node - i;
end